linogram_fft_test.c File Reference

NFFT-based pseudo-polar FFT and inverse. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include <complex.h>`
`#include "nfft3mp.h"`
Include dependency graph for linogram_fft_test.c:

Go to the source code of this file.

## Functions

static int | linogram_grid (int T, int rr, NFFT_R *x, NFFT_R *w)
| Generates the points x with weights w for the linogram grid with T slopes and R offsets.
static int | linogram_dft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int rr, int m)
| discrete pseudo-polar FFT
static int | linogram_fft (NFFT_C *f_hat, int NN, NFFT_C *f, int T, int rr, int m)
| NFFT-based pseudo-polar FFT.
static int | inverse_linogram_fft (NFFT_C *f, int T, int rr, NFFT_C *f_hat, int NN, int max_i, int m)
| NFFT-based inverse pseudo-polar FFT.
static int | comparison_fft (FILE *fp, int N, int T, int rr)
| Comparison of the FFTW, linogram FFT, and inverse linogram FFT.
int | main (int argc, char **argv)
| test program for various parameters

## Variables

NFFT_R | GLOBAL_elapsed_time

## Detailed Description

NFFT-based pseudo-polar FFT and inverse.

Computes the NFFT-based pseudo-polar FFT and its inverse.

Author
  Markus Fenn

Date
  2006

Definition in file linogram_fft_test.c.